petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASCycleGetSmootherUp

Gets the up smoother on a particular cycle level.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetSmootherUp(SNES snes, SNES *smoothu)

Logically Collective on SNES

### Input Parameters

snes -the multigrid context

### Output Parameters

smoothu -the smoother

### Notes

Returns the downsmoother if no up smoother is available. This enables transparent default behavior in the process of the solve.

### Keywords

SNES, FAS, get, smoother, multigrid

### See Also

SNESFASCycleGetSmoother(), SNESFASCycleGetSmootherDown()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages